import { personMessages } from 'ChillPersonAssets/vuejs/_js/i18n'
import { calendarUserSelectorMessages } from '../_components/CalendarUserSelector/js/i18n';
import { activityMessages } from 'ChillActivityAssets/vuejs/Activity/i18n';

const appMessages = {
   fr: {
      choose_your_date: "Sélectionnez votre plage",
      activity: {
         add_persons: "Ajouter des personnes concernées",
         bloc_persons: "Usagers",
         bloc_persons_associated: "Usagers du parcours",
         bloc_persons_not_associated: "Tiers non-pro.",
         bloc_thirdparty: "Tiers professionnels",
         bloc_users: "T(M)S",
      }
   }
}

Object.assign(appMessages.fr, personMessages.fr);
Object.assign(appMessages.fr, calendarUserSelectorMessages.fr);
Object.assign(appMessages.fr, activityMessages.fr);

export {
   appMessages
};
