<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\CustomFieldsBundle\Form\Extension;

use Symfony\Component\Form\Extension\Core\Type\NumberType;

/**
 * This class add the PostTextExtension to number fields.
 */
class PostTextNumberExtension extends PostTextExtension
{
    public function getExtendedType()
    {
        return NumberType::class;
    }
}
