<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\DocStoreBundle\Repository;

use Chill\PersonBundle\Entity\Person;

interface PersonDocumentACLAwareRepositoryInterface
{
    public function countByPerson(Person $person): int;

    public function findByPerson(Person $person, array $orderBy = [], int $limit = 20, int $offset = 0): array;
}
