<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Search\Model;

class Result
{
    private float $relevance;

    /**
     * mixed an arbitrary result.
     */
    private $result;

    /**
     * @param $result
     */
    public function __construct(float $relevance, $result)
    {
        $this->relevance = $relevance;
        $this->result = $result;
    }

    public function getRelevance(): float
    {
        return $this->relevance;
    }

    public function getResult()
    {
        return $this->result;
    }
}
