<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\BudgetBundle\Calculator;

use Chill\BudgetBundle\Entity\AbstractElement;

interface CalculatorInterface
{
    /**
     * @param AbstractElement[] $elements
     */
    public function calculate(array $elements): ?CalculatorResult;

    public function getAlias();
}
