<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\FamilyMembersBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * FamilyMember.
 *
 * @ORM\Table(name="chill_family.family_member")
 * @ORM\Entity(repositoryClass="Chill\FamilyMembersBundle\Repository\FamilyMemberRepository")
 */
class FamilyMember extends AbstractFamilyMember
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * Get id.
     *
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }
}
