<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;

class AdminController extends AbstractController
{
    /**
     * @Route("/{_locale}/admin", name="chill_main_admin_central")
     */
    public function indexAction()
    {
        return $this->render('@ChillMain/Admin/index.html.twig');
    }

    public function indexLocationsAction()
    {
        return $this->render('@ChillMain/Admin/layout_location.html.twig');
    }

    public function indexPermissionsAction()
    {
        return $this->render('@ChillMain/Admin/layout_permissions.html.twig');
    }
}
