<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Doctrine\Model;

use Chill\MainBundle\Entity\User;
use DateTimeInterface;

interface TrackUpdateInterface
{
    public function setUpdatedAt(DateTimeInterface $datetime): self;

    public function setUpdatedBy(User $user): self;
}
