<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Export;

/**
 * Add a grouping option to exports.
 *
 * **usage**: the exports will be grouped under the key given by the `getGroup`
 * method.
 */
interface GroupedExportInterface
{
    public function getGroup(): string;
}
