<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\MainBundle\Templating\Entity;

abstract class AbstractChillEntityRender implements ChillEntityRenderInterface
{
    protected function getDefaultClosingBox(): string
    {
        return '</section>';
    }

    protected function getDefaultOpeningBox($classSuffix): string
    {
        return '<section class="chill-entity entity-' . $classSuffix . '">';
    }
}
