<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\PersonBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;

/**
 * Class AdminController.
 */
class AdminController extends AbstractController
{
    /**
     * @param $_locale
     *
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function indexAction($_locale)
    {
        return $this->render('ChillPersonBundle:Admin:layout.html.twig', []);
    }

    /**
     * @return \Symfony\Component\HttpFoundation\RedirectResponse
     */
    public function redirectToAdminIndexAction()
    {
        return $this->redirectToRoute('chill_main_admin_central');
    }
}
