<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\PersonBundle\Tests\Export\Export;

use Chill\MainBundle\Test\Export\AbstractExportTest;

/**
 * Test CountPerson export.
 *
 * @internal
 * @coversNothing
 */
final class CountPersonTest extends AbstractExportTest
{
    /**
     * @var
     */
    private $export;

    protected function setUp(): void
    {
        self::bootKernel();

        $this->export = self::$container->get('chill.person.export.export_count_person');
    }

    public function getExport()
    {
        return $this->export;
    }

    public function getFormData()
    {
        return [
            [],
        ];
    }

    public function getModifiersCombination()
    {
        return [['person']];
    }
}
