<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\PersonBundle\Validator\Constraints\AccompanyingPeriod;

use Symfony\Component\Validator\Constraint;

/**
 * @Annotation
 */
class ConfidentialCourseMustHaveReferrer extends Constraint
{
    public string $message = 'A confidential parcours must have a referrer';

    public function getTargets()
    {
        return [self::CLASS_CONSTRAINT];
    }
}
