<?php

/**
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

declare(strict_types=1);

namespace Chill\PersonBundle\Validator\Constraints\Relationship;

use Symfony\Component\Validator\Constraint;

/**
 * @Annotation
 */
class RelationshipNoDuplicate extends Constraint
{
    public $message = 'relationship.duplicate';

    public function getTargets()
    {
        return self::CLASS_CONSTRAINT;
    }
}
